### Virtual Method

# EBackend WebDAVCollectionBackend get_resource_id

since: 3.26

#### Declaration [src]

    gchar*
    get_resource_id (
      EWebDAVCollectionBackend* webdav_backend,
      ESource* source
    )

#### Description [src]

Verifies that the `source` is expected here and returns its resource ID, which is used in call to e_collection_backend_new_child(). It returns `NULL`, when the `source` is not part of the backend and should be removed instead. The default implementation allows all sources, which has %ESourceResource extension defined.

Available since: 3.26

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

A resource ID corresponding to `source`, or `NULL`, when the `source` should be removed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.